Name: xsldbg
Version: 3.1.7
Release: alt2

%def_disable static

%define xmlconfdir %_sysconfdir/xml
%define pkgdocdir %_docdir/%name-%version

Summary: XSL stylesheet debugger
Group: Development/Debuggers
License: GPL
URL: http://xsldbg.sourceforge.net/

%define libxml_version 2.4.13
%define libxslt_version 1.0.10

Requires: lib%name = %version-%release

Prefix: %_prefix

Source0: %name-%version.tar.bz2
Patch0: %name-3.1.7-doc-install.patch
Patch1: %name-3.1.7-test.patch

BuildRequires: libxml2-devel >= %libxml_version
BuildRequires: libxslt-devel >= %libxslt_version
BuildRequires: libncurses-devel libreadline-devel
BuildRequires: xml-common zlib-devel
BuildRequires: perl-base

%description
xsldbg is a text based tool to debug XSL stylesheets (the eXtensible
Stylesheet Language) and has commands similar to the Unix/Linux
debugger gdb.

%description -l ru_RU.KOI8-R -n xsldbg
xsldbg -     XSL-  ,
    gdb.

%package -n lib%name
Summary: Shared library for %name
Group: System/Libraries
Requires: libxml2 >= %libxml_version
Requires: libxslt >= %libxslt_version

%description -n lib%name
A shared library that provides debugging capabilities for XSLT stylesheets.
It is used by %name - text based tool to debug XSLT stylesheets.
Additionally, it can be used by another debug tools like
XEmacs xsldbg-mode or a Quanta+ plugin.

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Files needed to develop applications using lib%name,
a library that implements XSLT debugging.

%if_enabled static
%package -n lib%name-devel-static
Summary: Static variant of lib%name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static library archive for lib%name, a library that implements XSLT debugging.
%endif	# enabled static

%prep
%setup -q
%patch0 -p1
%patch1 -p1

perl -pi -e 's/<\?xml\s+version="1\.0"\s*\?>/<?xml version="1.0" encoding="UTF-8"?>/' tests/*.xml

find src -type f -perm +a+x -print0 | xargs -r0 chmod -x

# Needed after Patch0
%__aclocal
%__automake -a -c
%__autoconf

%build
%configure \
    --with-html-dir=%pkgdocdir \
    --with-gnome-dir=%_prefix \
    --with-docbook-prefix=%_datadir/xml/docbook/xsl-stylesheets \
    %{subst_enable static}
    #--enable-gnome-docs \
%make_build

%install
%make install DESTDIR=$RPM_BUILD_ROOT
%__install -p AUTHORS ChangeLog TODO $RPM_BUILD_ROOT%pkgdocdir

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/buildreq/files/ignore.d/
echo '^%pkgdocdir/xsldbg/catalog.xml$' | sed -e 's/\./\\./g' \
    >$RPM_BUILD_ROOT%_sysconfdir/buildreq/files/ignore.d/%name

%post
%_bindir/xmlcatalog --noout --add nextCatalog \
    "file://%pkgdocdir/xsldbg/catalog.xml" "" %xmlconfdir/catalog ||:

%postun
if [ $1 = 0 -o ! -f %pkgdocdir/xsldbg/catalog.xml ]; then
    %_bindir/xmlcatalog --noout --del \
	"file://%pkgdocdir/xsldbg/catalog.xml" %xmlconfdir/catalog ||:
fi

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%pkgdocdir
%_sysconfdir/buildreq/files/ignore.d/%name

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Tue Dec 02 2003 Mikhail Zabaluev <mhz@altlinux.ru> 3.1.7-alt2
- Patch by Keith Isdale to fix test failure [Patch1]
- Add explicit encoding specification to all XML files used for tests
- Excluded .la files

* Tue Sep 02 2003 Mikhail Zabaluev <mhz@altlinux.ru> 3.1.7-alt1
- Initial release
